## kineticstools 0.5.1%2B20150828%2Bgit3aa3d96%2Bdfsg

=== debian/changelog ===
kineticstools (0.5.1+20150828+git3aa3d96+dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Afif Elghraoui <afif@debian.org>  Tue, 15 Mar 2016 21:41:10 -0700

kineticstools (0.5.1+20150828+git3aa3d96+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #797676)

 -- Afif Elghraoui <afif@ghraoui.name>  Wed, 09 Dec 2015 22:36:33 -0800

## kineticstools 0.5.1+20150828+git3aa3d96+dfsg

=== Makefile ===
SHELL = /bin/bash -e

all: build install

build:
	python setup.py build --executable="/usr/bin/env python"

bdist:
	python setup.py build --executable="/usr/bin/env python"
	python setup.py bdist --formats=egg

install:
	python setup.py install

develop:
	python setup.py develop

clean:
	rm -rf build/;\
	find . -name "*.egg-info" | xargs rm -rf;\
	find . -name "*.pyc" | xargs rm -rf;\
	rm -rf dist/

test: tests
check: tests
tests: cram-tests unit-tests

cram-tests:
	cram test/cram/*.t

long-tests:
	cram test/cram/long_running/*.t

unit-tests:
	nosetests -s -v test/*.py

pip-install:
	@which pip > /dev/null
	@pip freeze|grep 'kineticsTools=='>/dev/null \
      && ( pip uninstall -y kineticsTools \
        || pip uninstall -y pbtools.kineticsTools ) \
      || true
	@pip install --no-index \
          --install-option="--install-data=$(DATA)" \
          --install-option="--install-scripts=$(PREFIX)/bin" \
          ./

.PHONY: tests test clean cram-tests unit-tests
.PHONY: clean

=== debian/control ===
Source: kineticstools
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
	Afif Elghraoui <afif@ghraoui.name>,
Build-Depends:
	debhelper (>= 9),
	dh-python,
	python-all,
	python-setuptools,
	python-docutils,
	python-pbcore (>= 1.2.2),
	python-pbcommand (>= 0.2.0),
	python-numpy (>= 1.6.0),
	python-h5py (>= 1.3.0),
	python-scipy (>= 0.9.0),
# Test-Depends:
	python-nose,
Standards-Version: 3.9.6
Homepage: https://github.com/PacificBiosciences/kineticsTools
Vcs-Git: git://anonscm.debian.org/debian-med/kineticstools.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-med/kineticstools.git

Package: kineticstools
Architecture: all
Depends:
	${misc:Depends},
	${python:Depends},
	python-kineticstools (>= ${source:Version}),
	python-pkg-resources
Description: detection of DNA modifications
 Tools for detecting DNA modifications from single molecule, real-time (SMRT®)
 sequencing data. This tool implements the P_ModificationDetection module in
 SMRT® Portal, used by the RS_Modification_Detection and
 RS_Modifications_and_Motif_Detection protocol. Researchers interested in
 understanding or extending the modification detection algorithms can use these
 tools as a starting point.
 .
 This package is part of the SMRTAnalysis suite.

Package: python-kineticstools
Section: python
Architecture: any
Depends:
	${misc:Depends},
	${shlibs:Depends},
	${python:Depends},
Description: detection of DNA modifications (Python 2 library)
 Tools for detecting DNA modifications from single molecule, real-time (SMRT®)
 sequencing data. This tool implements the P_ModificationDetection module in
 SMRT® Portal, used by the RS_Modification_Detection and
 RS_Modifications_and_Motif_Detection protocol. Researchers interested in
 understanding or extending the modification detection algorithms can use these
 tools as a starting point.
 .
 This package is part of the SMRTAnalysis suite and contains the backend
 Python 2 library.

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1
include /usr/share/dpkg/default.mk

export PYBUILD_NAME=kineticstools

INSTDIR = $(CURDIR)/debian/$(DEB_SOURCE)
BINDIR = $(INSTDIR)/usr/bin
MANDIR = $(INSTDIR)/usr/share/man/

%:
	LC_ALL=C.UTF-8 dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_test:
# Ignore error code here since there looks to be
# a spurious DistributionNotFound error for some reason
	-PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="$(MAKE) unit-tests" dh_auto_test

override_dh_auto_install:
	dh_auto_install
	mkdir -p $(BINDIR)
	mv debian/python-kineticstools/usr/bin/* $(BINDIR)
	mkdir -p $(MANDIR)/man1
	rst2man doc/manual.rst > $(MANDIR)/man1/ipdSummary.1

=== debian/watch ===
version=3

# Upstream has no release tags for us to watch.

## kineticstools 0.5.2+dfsg

=== debian/changelog ===
kineticstools (0.5.2+dfsg-2) unstable; urgency=low

  * Don't install spurious python package "bin" (Closes: #831218)

 -- Afif Elghraoui <afif@debian.org>  Sat, 16 Jul 2016 17:41:13 -0700

kineticstools (0.5.2+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 0.5.2+dfsg
    (upstream git 9df3568 - 2016-03-22)
  * Fix detection of compiled extension
  * Refresh patches
  * Bump minimum version of dependencies
  * Bump Standards-Version to 3.9.8
  * Globally use C.UTF-8 locale
  * Enable build-time tests with respected exit code
  * Set up autopkgtest

 -- Afif Elghraoui <afif@debian.org>  Sat, 02 Jul 2016 19:59:45 -0700

kineticstools (0.5.1+20150828+git3aa3d96+dfsg-2) unstable; urgency=low

  * Update Standards-Version
  * Use https for VCS links
  * Separate large data files into an arch-independent binary package

 -- Afif Elghraoui <afif@debian.org>  Wed, 16 Mar 2016 01:56:11 -0700

=== debian/control ===
--- 
+++ 
@@ -2,25 +2,24 @@
 Section: science
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders:
-	Afif Elghraoui <afif@ghraoui.name>,
+Uploaders: Afif Elghraoui <afif@debian.org>
 Build-Depends:
 	debhelper (>= 9),
 	dh-python,
 	python-all,
 	python-setuptools,
 	python-docutils,
-	python-pbcore (>= 1.2.2),
-	python-pbcommand (>= 0.2.0),
+	python-pbcore (>= 1.2.8),
+	python-pbcommand (>= 0.3.22),
 	python-numpy (>= 1.6.0),
 	python-h5py (>= 1.3.0),
 	python-scipy (>= 0.9.0),
 # Test-Depends:
 	python-nose,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/PacificBiosciences/kineticsTools
-Vcs-Git: git://anonscm.debian.org/debian-med/kineticstools.git
-Vcs-Browser: http://anonscm.debian.org/cgit/debian-med/kineticstools.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/kineticstools.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/kineticstools.git
 
 Package: kineticstools
 Architecture: all
@@ -39,6 +38,20 @@
  .
  This package is part of the SMRTAnalysis suite.
 
+Package: kineticstools-data
+Architecture: all
+Depends: ${misc:Depends}
+Description: detection of DNA modifications -- data files
+ Tools for detecting DNA modifications from single molecule, real-time (SMRT®)
+ sequencing data. This tool implements the P_ModificationDetection module in
+ SMRT® Portal, used by the RS_Modification_Detection and
+ RS_Modifications_and_Motif_Detection protocol. Researchers interested in
+ understanding or extending the modification detection algorithms can use these
+ tools as a starting point.
+ .
+ Kineticstools is part of the SMRTAnalysis suite.
+ This package contains the package data files.
+
 Package: python-kineticstools
 Section: python
 Architecture: any
@@ -46,6 +59,7 @@
 	${misc:Depends},
 	${shlibs:Depends},
 	${python:Depends},
+	kineticstools-data (= ${source:Version}),
 Description: detection of DNA modifications (Python 2 library)
  Tools for detecting DNA modifications from single molecule, real-time (SMRT®)
  sequencing data. This tool implements the P_ModificationDetection module in

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1
include /usr/share/dpkg/default.mk

export LC_ALL=C.UTF-8
export PYBUILD_NAME=kineticstools
export PYBUILD_TEST_NOSE=1
export NOSE_VERBOSE=2
export NOSE_NOCAPTURE=1
export NOSE_INCLUDE_EXE=1
export NOSE_TESTS=$(shell ls $(CURDIR)/test/*.py | tr '[:space:]' ',')

INSTDIR = $(CURDIR)/debian/$(DEB_SOURCE)
BINDIR = $(INSTDIR)/usr/bin
MANDIR = $(INSTDIR)/usr/share/man/

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	mkdir -p $(BINDIR)
	mv debian/python-kineticstools/usr/bin/* $(BINDIR)
	mkdir -p $(MANDIR)/man1
	rst2man doc/manual.rst > $(MANDIR)/man1/ipdSummary.1
	mkdir -p debian/kineticstools-data/usr/share/kineticstools
	mv debian/python-kineticstools/usr/lib/python2.7/dist-packages/kineticsTools/resources debian/kineticstools-data/usr/share/kineticstools/

=== debian/tests/control ===
Test-Command:
	cp -r Makefile test $ADTTMP/
	&& cd $ADTTMP
	&& ln -s /usr/share/kineticstools kineticsTools
	&& make -k check
Depends:
	make,
	@,
	python-cram,
	python-nose,
	hdf5-tools,
Restrictions:
	allow-stderr,

## kineticstools 0.6.1%2B20161222

=== debian/changelog ===
kineticstools (0.6.1+20161222-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Add fake watch file to silence uscan

  [ Afif Elghraoui ]
  * New upstream revision (Closes: #848542)
  * Drop Files-Excluded
  * Drop patch applied upstream
  * Add README.source to explain how to get new upstream versions
  * Update patches without undoing their effects
  * autopkgtests: Don't run extra-tests and long-tests
  * Suggest python-pybigwig

  [ Sascha Steinbiss ]
  * Fix man page building
  * Spelling corrections
  * Enable hardening

 -- Afif Elghraoui <afif@debian.org>  Sun, 15 Jan 2017 15:53:34 -0800

## kineticstools 0.6.1%2Bgit20220223.1326a4d%2Bdfsg

=== debian/changelog ===
kineticstools (0.6.1+git20220223.1326a4d+dfsg-7) unstable; urgency=medium

  * Team upload.
  [ Alexandre Detiste ]
  * Drop python3-uritools backport(-ish) from build dependencies.
  * Drop obsolete "Rules-Requires-Root: no".
  * Update Standards-Version.
  [ Santiago Vila ]
  * Fix FTBFS with with nocheck build profile. Closes: #1103315.
  * Enable build profile job in Salsa CI.

 -- Santiago Vila <sanvila@debian.org>  Thu, 25 Sep 2025 18:10:00 +0200

kineticstools (0.6.1+git20220223.1326a4d+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Actually remove the python3-pkg-resources dependency

 -- Alexandre Detiste <tchet@debian.org>  Sun, 09 Feb 2025 12:03:53 +0100

kineticstools (0.6.1+git20220223.1326a4d+dfsg-5) unstable; urgency=medium

  * Team upload.
  * d/patches/remove-pkg-resources.patch: Add patch to replace the usages of
    pkg_resources with importlib.resources.
    - Thanks Vladimir Petko for the patch.
  * d/t/control: disable cram autopkgtests. detection_bam* tests are already
    disabled due to the missing data, version.t test fails due to the
    different usage formatting in python 3.13 (Closes: #1092749).
    - Thanks Vladimir Petko for the patch.

 -- Emmanuel Arias <eamanu@debian.org>  Wed, 22 Jan 2025 18:39:57 -0300

kineticstools (0.6.1+git20220223.1326a4d+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Add explicit dependency on python3-pkg-resources

 -- Alexandre Detiste <tchet@debian.org>  Sat, 18 Jan 2025 03:06:08 +0100

kineticstools (0.6.1+git20220223.1326a4d+dfsg-3) unstable; urgency=medium

  * Do not depends on deprecated module python3-pkg-resources
    Closes: #1083454
  * Standards-Version: 4.7.0 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 13 Oct 2024 17:34:50 +0200

kineticstools (0.6.1+git20220223.1326a4d+dfsg-2) unstable; urgency=medium

  * Team Upload.
  * Test only for default python version as pysam is not
    available for python3.11 (Closes: #1026742)

 -- Nilesh Patra <nilesh@debian.org>  Wed, 21 Dec 2022 19:59:38 +0530

kineticstools (0.6.1+git20220223.1326a4d+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Étienne Mollier <emollier@debian.org>  Sat, 05 Mar 2022 13:36:37 +0100

kineticstools (0.6.1+git20210811.276ca9c+dfsg-1) unstable; urgency=medium

  * New upstream version
  * d/control: update uploader address
  * Standards-Version: 4.6.0 (routine-update)
  * No tab in license text (routine-update)
  * d/rules: remove python nose test environment and leftovers.
  * Extend tests2to3.patch to cover pytest-3 in Makefile.
  * Replace autopkgtest dependency on python3-nose to python3-pytest and call
    the Makefile target with the proper py-tests target instead of the now
    non-existent one.

 -- Étienne Mollier <emollier@debian.org>  Mon, 25 Oct 2021 23:20:10 +0200

kineticstools (0.6.1+git20200729.e3723e0+dfsg-1) unstable; urgency=medium

  * Add myself to Uploaders
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Fix resources migration to data package when several python versions are
    provided by Debian.  (Closes: #973058)
  * Declare kineticstools-data Multi-Arch: foreign.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Wed, 25 Nov 2020 23:45:13 +0100

kineticstools (0.6.1+git20200325.3558942+dfsg-1) unstable; urgency=medium

  [ Etienne Mollier ]
  * minor d/rules update to make commands independent of minor python version

  [ Andreas Tille ]
  * Remove non-free documentation from source tarball
    Closes: #958471
  * Remove outdated README.source

 -- Andreas Tille <tille@debian.org>  Wed, 22 Apr 2020 22:14:02 +0200

kineticstools (0.6.1+git20200325.3558942-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * New upstream version
  * d/control
    - Standards-Version: 4.5.0 (routine-update)
    - debhelper-compat 12 (routine-update)
    - python3-uritools added as build dependency
    - added <!nocheck> flags
    - Transitioned to Python3 (required only update of dependencies)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Drop deprecated restriction . See https://salsa.debian.org/ci-
    team/autopkgtest/tree/master/doc/README.package-tests.rst
  * d/rules now cleans .python_cache
  * Transitioned from Python 2 to 3
    Closes: #936797
  * Many thanks go to upstream for reacting quickly to their desynced
    source tree (https://github.com/PacificBiosciences/kineticsTools/issues/72)
  * Reported spelling erors on
    (https://github.com/PacificBiosciences/kineticsTools/pull/73)

  [ Andreas Tille ]
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Build-Depends: python3-pytest-runner
  * autopkgtest:
     - s/ADTTMP/AUTOPKGTEST_TMP/
     - Fix Test Depends

  [ Etienne Mollier ]
  * Added python3-pytest-xdist to enable parallelization from build test.
    Thanks Michael Crusoe for the tip!
  * Adapted resources coming from usr/lib/python3.8 instead of the former
    version usr/lib/python3.7.
  * Reported alignment issue in the manual.rst to upstream:
    https://github.com/PacificBiosciences/kineticsTools/pull/74

 -- Andreas Tille <tille@debian.org>  Tue, 21 Apr 2020 11:12:01 +0200

kineticstools (0.6.1+git20180425.27a1878-2) unstable; urgency=medium

  * Ignore deprecation warnings breaking test suite
    Closes: #921382
  * Add myself to Uploaders since Afif has removed himself (Thanks for your
    work on this package, Afif)

 -- Andreas Tille <tille@debian.org>  Thu, 14 Feb 2019 13:36:28 +0100

kineticstools (0.6.1+git20180425.27a1878-1) unstable; urgency=medium

  * Team upload.
  * Use Git mode in watch file
  * debhelper 12
  * Point Vcs fields to salsa.debian.org


=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE = 1
include /usr/share/dpkg/default.mk

export LC_ALL=C.UTF-8
export PYBUILD_NAME=kineticstools
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

INSTDIR = $(CURDIR)/debian/$(DEB_SOURCE)
BINDIR = $(INSTDIR)/usr/bin
MANDIR = $(INSTDIR)/usr/share/man/
DATADIR = $(CURDIR)/debian/kineticstools-data/usr/share/kineticstools/resources

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_install:
	mkdir -p $(BINDIR)
	mv debian/python3-kineticstools/usr/bin/* $(BINDIR)
	mkdir -p $(MANDIR)/man1
	rst2man doc/manual.rst > $(MANDIR)/man1/ipdSummary.1
	mkdir -p debian/kineticstools-data/usr/share/kineticstools
	# There is probably a simpler way, but that should do for the moment.
	set -e                                                              \
	; for libdir in debian/python3-kineticstools/usr/lib/python3.*      \
	; do rm -rf $(DATADIR)                                              \
	;    mv $${libdir}/dist-packages/kineticsTools/resources $(DATADIR) \
	; done
	rm -f debian/python3-kineticstools/usr/lib/python3.*/dist-packages/nosetests.xml

execute_after_dh_auto_clean:
	rm -rf .pytest_cache
	rm -rf kineticsTools.egg-info
	rm -f nosetests.xml
	rm -f bin/ipdSummary

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cp kineticsTools/ipdSummary.py bin/ipdSummary
	chmod +x bin/ipdSummary
	PYTHONPATH=$(CURDIR) PATH=$$PATH:$(CURDIR)/bin dh_auto_test
endif

## kineticstools 0.6.1+20161222

=== Makefile ===
--- 
+++ 
@@ -23,16 +23,19 @@
 
 test: tests
 check: tests
-tests: cram-tests unit-tests
+tests: cram-tests unit-tests extra-tests
 
 cram-tests:
-	cram test/cram/*.t
+	cram --xunit-file=cramtests.xml test/cram/*.t
 
 long-tests:
 	cram test/cram/long_running/*.t
 
 unit-tests:
-	nosetests -s -v test/*.py
+	nosetests -s -v --with-xunit test/*.py
+
+extra-tests:
+	cram --xunit-file=cramtests-extra.xml test/cram/extra/*.t
 
 pip-install:
 	@which pip > /dev/null

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/kineticsTools.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/kineticsTools.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/kineticsTools"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/kineticsTools"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
kineticstools (0.6.1+20161222-1ubuntu1) zesty; urgency=medium

  * Disable PIE during build so that python linkage doesnt break.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Tue, 21 Feb 2017 07:56:17 +0530

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kineticstools
 Section: science
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Afif Elghraoui <afif@debian.org>
 Build-Depends:
 	debhelper (>= 9),
@@ -60,6 +61,7 @@
 	${shlibs:Depends},
 	${python:Depends},
 	kineticstools-data (= ${source:Version}),
+Suggests: python-pybigwig
 Description: detection of DNA modifications (Python 2 library)
  Tools for detecting DNA modifications from single molecule, real-time (SMRT®)
  sequencing data. This tool implements the P_ModificationDetection module in

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1
include /usr/share/dpkg/default.mk

export LC_ALL=C.UTF-8
export PYBUILD_NAME=kineticstools
export PYBUILD_TEST_NOSE=1
export NOSE_VERBOSE=2
export NOSE_NOCAPTURE=1
export NOSE_INCLUDE_EXE=1
export NOSE_TESTS=$(shell ls $(CURDIR)/test/*.py | tr '[:space:]' ',')
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie

INSTDIR = $(CURDIR)/debian/$(DEB_SOURCE)
BINDIR = $(INSTDIR)/usr/bin
MANDIR = $(INSTDIR)/usr/share/man/

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	mkdir -p $(BINDIR)
	mv debian/python-kineticstools/usr/bin/* $(BINDIR)
	mkdir -p $(MANDIR)/man1
	rst2man doc/manual.rst > $(MANDIR)/man1/ipdSummary.1
	mkdir -p debian/kineticstools-data/usr/share/kineticstools
	mv debian/python-kineticstools/usr/lib/python2.7/dist-packages/kineticsTools/resources debian/kineticstools-data/usr/share/kineticstools/

=== debian/tests/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 	cp -r Makefile test $ADTTMP/
 	&& cd $ADTTMP
 	&& ln -s /usr/share/kineticstools kineticsTools
-	&& make -k check
+	&& make -k unit-tests cram-tests
 Depends:
 	make,
 	@,

=== debian/watch ===
version=4

opts=dversionmangle=s/.*/0.No-Track/ \
  https://people.debian.org/~eriberto/ FakeWatchNoUpstreamTrackingForThisPackage-(\d\S+)\.gz

## kineticstools 0.6.1+git20180425.27a1878

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,7 @@
 SHELL = /bin/bash -e
+
+utest:
+	PYTHONPATH=.:${PYTHONPATH} py.test -s -v test/test_internal.py
 
 all: build install
 
@@ -23,7 +26,7 @@
 
 test: tests
 check: tests
-tests: cram-tests unit-tests extra-tests
+tests: cram-tests py-tests extra-tests
 
 cram-tests:
 	cram --xunit-file=cramtests.xml test/cram/*.t
@@ -31,8 +34,9 @@
 long-tests:
 	cram test/cram/long_running/*.t
 
-unit-tests:
-	nosetests -s -v --with-xunit test/*.py
+py-tests:
+	#nosetests -s -v --with-xunit test/*.py
+	py.test -s -v --junit-xml=nosetests.xml test/*.py
 
 extra-tests:
 	cram --xunit-file=cramtests-extra.xml test/cram/extra/*.t

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,31 @@
 Source: kineticstools
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Afif Elghraoui <afif@debian.org>
-Build-Depends:
-	debhelper (>= 9),
-	dh-python,
-	python-all,
-	python-setuptools,
-	python-docutils,
-	python-pbcore (>= 1.2.8),
-	python-pbcommand (>= 0.3.22),
-	python-numpy (>= 1.6.0),
-	python-h5py (>= 1.3.0),
-	python-scipy (>= 0.9.0),
+Build-Depends: debhelper (>= 12~),
+               dh-python,
+               python-all,
+               python-setuptools,
+               python-docutils,
+               python-pbcore (>= 1.2.8),
+               python-pbcommand (>= 0.3.22),
+               python-numpy,
+               python-h5py,
+               python-scipy,
 # Test-Depends:
-	python-nose,
-Standards-Version: 3.9.8
+               python-pytest
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/med-team/kineticstools
+Vcs-Git: https://salsa.debian.org/med-team/kineticstools.git
 Homepage: https://github.com/PacificBiosciences/kineticsTools
-Vcs-Git: https://anonscm.debian.org/git/debian-med/kineticstools.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/kineticstools.git
 
 Package: kineticstools
 Architecture: all
-Depends:
-	${misc:Depends},
-	${python:Depends},
-	python-kineticstools (>= ${source:Version}),
-	python-pkg-resources
+Depends: ${misc:Depends},
+         ${python:Depends},
+         python-kineticstools (>= ${source:Version}),
+         python-pkg-resources
 Description: detection of DNA modifications
  Tools for detecting DNA modifications from single molecule, real-time (SMRT®)
  sequencing data. This tool implements the P_ModificationDetection module in
@@ -54,13 +51,12 @@
  This package contains the package data files.
 
 Package: python-kineticstools
+Architecture: any
 Section: python
-Architecture: any
-Depends:
-	${misc:Depends},
-	${shlibs:Depends},
-	${python:Depends},
-	kineticstools-data (= ${source:Version}),
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         ${python:Depends},
+         kineticstools-data (= ${source:Version})
 Suggests: python-pybigwig
 Description: detection of DNA modifications (Python 2 library)
  Tools for detecting DNA modifications from single molecule, real-time (SMRT®)

=== debian/rules ===
--- 
+++ 
@@ -5,12 +5,12 @@
 
 export LC_ALL=C.UTF-8
 export PYBUILD_NAME=kineticstools
-export PYBUILD_TEST_NOSE=1
+export PYBUILD_TEST_NOSE=0
 export NOSE_VERBOSE=2
 export NOSE_NOCAPTURE=1
 export NOSE_INCLUDE_EXE=1
 export NOSE_TESTS=$(shell ls $(CURDIR)/test/*.py | tr '[:space:]' ',')
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 INSTDIR = $(CURDIR)/debian/$(DEB_SOURCE)
 BINDIR = $(INSTDIR)/usr/bin

=== debian/watch ===
version=4

opts="mode=git,pretty=0.6.1+git%cd.%h" \
    https://github.com/PacificBiosciences/kineticsTools.git HEAD

# Issue asking for release tags:
#  https://github.com/PacificBiosciences/kineticsTools/issues/49

## kineticstools 0.6.1+git20200325.3558942+dfsg

=== debian/control ===
--- 
+++ 
@@ -3,29 +3,32 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
-               python-all,
-               python-setuptools,
-               python-docutils,
-               python-pbcore (>= 1.2.8),
-               python-pbcommand (>= 0.3.22),
-               python-numpy,
-               python-h5py,
-               python-scipy,
-# Test-Depends:
-               python-pytest
-Standards-Version: 4.3.0
+               python3-all,
+               python3-setuptools,
+               python3-docutils,
+               python3-pbcore,
+               python3-pbcommand,
+               python3-numpy,
+               python3-h5py,
+               python3-scipy,
+               python3-uritools <!nocheck>,
+               python3-pytest <!nocheck>,
+               python3-pytest-runner <!nocheck>,
+               python3-pytest-xdist <!nocheck>
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/kineticstools
 Vcs-Git: https://salsa.debian.org/med-team/kineticstools.git
 Homepage: https://github.com/PacificBiosciences/kineticsTools
+Rules-Requires-Root: no
 
 Package: kineticstools
 Architecture: all
 Depends: ${misc:Depends},
-         ${python:Depends},
-         python-kineticstools (>= ${source:Version}),
-         python-pkg-resources
+         ${python3:Depends},
+         python3-kineticstools (>= ${source:Version}),
+         python3-pkg-resources
 Description: detection of DNA modifications
  Tools for detecting DNA modifications from single molecule, real-time (SMRT®)
  sequencing data. This tool implements the P_ModificationDetection module in
@@ -50,14 +53,14 @@
  Kineticstools is part of the SMRTAnalysis suite.
  This package contains the package data files.
 
-Package: python-kineticstools
+Package: python3-kineticstools
 Architecture: any
 Section: python
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         ${python:Depends},
+         ${python3:Depends},
          kineticstools-data (= ${source:Version})
-Suggests: python-pybigwig
+Suggests: python3-pybigwig
 Description: detection of DNA modifications (Python 2 library)
  Tools for detecting DNA modifications from single molecule, real-time (SMRT®)
  sequencing data. This tool implements the P_ModificationDetection module in

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE = 1
include /usr/share/dpkg/default.mk

export LC_ALL=C.UTF-8
export PYBUILD_NAME=kineticstools
export PYBUILD_TEST_NOSE=0
export NOSE_VERBOSE=2
export NOSE_NOCAPTURE=1
export NOSE_INCLUDE_EXE=1
export NOSE_TESTS=$(shell ls $(CURDIR)/test/*.py | tr '[:space:]' ',')
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

INSTDIR = $(CURDIR)/debian/$(DEB_SOURCE)
BINDIR = $(INSTDIR)/usr/bin
MANDIR = $(INSTDIR)/usr/share/man/

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	mkdir -p $(BINDIR)
	mv debian/python3-kineticstools/usr/bin/* $(BINDIR)
	mkdir -p $(MANDIR)/man1
	rst2man doc/manual.rst > $(MANDIR)/man1/ipdSummary.1
	mkdir -p debian/kineticstools-data/usr/share/kineticstools
	mv debian/python3-kineticstools/usr/lib/python3.*/dist-packages/kineticsTools/resources debian/kineticstools-data/usr/share/kineticstools/
	rm debian/python3-kineticstools/usr/lib/python3.*/dist-packages/nosetests.xml

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .pytest_cache
	rm -rf kineticsTools.egg-info
	rm -f nosetests.xml
	rm -f bin/ipdSummary

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cp kineticsTools/ipdSummary.py bin/ipdSummary
	chmod +x bin/ipdSummary
	PYTHONPATH=$(CURDIR) PATH=$$PATH:$(CURDIR)/bin dh_auto_test
endif

## kineticstools 0.6.1+git20200729.e3723e0+dfsg

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: kineticstools
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Étienne Mollier <etienne.mollier@mailoo.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
@@ -17,7 +18,7 @@
                python3-pytest <!nocheck>,
                python3-pytest-runner <!nocheck>,
                python3-pytest-xdist <!nocheck>
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/kineticstools
 Vcs-Git: https://salsa.debian.org/med-team/kineticstools.git
 Homepage: https://github.com/PacificBiosciences/kineticsTools
@@ -41,6 +42,7 @@
 
 Package: kineticstools-data
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: detection of DNA modifications -- data files
  Tools for detecting DNA modifications from single molecule, real-time (SMRT®)
@@ -61,7 +63,7 @@
          ${python3:Depends},
          kineticstools-data (= ${source:Version})
 Suggests: python3-pybigwig
-Description: detection of DNA modifications (Python 2 library)
+Description: detection of DNA modifications (Python 3 library)
  Tools for detecting DNA modifications from single molecule, real-time (SMRT®)
  sequencing data. This tool implements the P_ModificationDetection module in
  SMRT® Portal, used by the RS_Modification_Detection and
@@ -70,4 +72,4 @@
  tools as a starting point.
  .
  This package is part of the SMRTAnalysis suite and contains the backend
- Python 2 library.
+ Python 3 library.

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,7 @@
 INSTDIR = $(CURDIR)/debian/$(DEB_SOURCE)
 BINDIR = $(INSTDIR)/usr/bin
 MANDIR = $(INSTDIR)/usr/share/man/
+DATADIR = $(CURDIR)/debian/kineticstools-data/usr/share/kineticstools/resources
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
@@ -26,7 +27,12 @@
 	mkdir -p $(MANDIR)/man1
 	rst2man doc/manual.rst > $(MANDIR)/man1/ipdSummary.1
 	mkdir -p debian/kineticstools-data/usr/share/kineticstools
-	mv debian/python3-kineticstools/usr/lib/python3.*/dist-packages/kineticsTools/resources debian/kineticstools-data/usr/share/kineticstools/
+	# There is probably a simpler way, but that should do for the moment.
+	set -e                                                              \
+	; for libdir in debian/python3-kineticstools/usr/lib/python3.*      \
+	; do rm -rf $(DATADIR)                                              \
+	;    mv $${libdir}/dist-packages/kineticsTools/resources $(DATADIR) \
+	; done
 	rm debian/python3-kineticstools/usr/lib/python3.*/dist-packages/nosetests.xml
 
 override_dh_auto_clean:

=== debian/tests/control ===
Test-Command:
	cp -r Makefile test $AUTOPKGTEST_TMP/
	&& cd $AUTOPKGTEST_TMP
	&& ln -s /usr/share/kineticstools kineticsTools
	&& make -k unit-tests cram-tests
Depends:
	make,
	@,
	python3-cram,
	python3-nose,
	hdf5-tools,
Restrictions: allow-stderr,

## kineticstools 0.6.1+git20210811.276ca9c+dfsg

=== Makefile ===
--- 
+++ 
@@ -35,11 +35,15 @@
 	cram test/cram/long_running/*.t
 
 py-tests:
-	#nosetests -s -v --with-xunit test/*.py
-	py.test -s -v --junit-xml=nosetests.xml test/*.py
+	# pytest --cov=kineticsTools  # does not quite work since we run in test/ dir.
+	cd test/; pytest -s -v -p no:warnings -n auto --dist=loadscope --durations=20 --junitxml=../nosetests.xml --cov-report=xml:../coverage.xml test_*.py
 
 extra-tests:
-	cram --xunit-file=cramtests-extra.xml test/cram/extra/*.t
+	#cram --xunit-file=cramtests-extra.xml test/cram/extra/*.t
+	# TODO: Fix chemistry and re-enable this test.
+
+pylint:
+	pylint --errors-only --extension-pkg-whitelist=numpy,scipy --ignored-modules=numpy,scipy --ignored-classes=numpy,scipy kineticsTools
 
 pip-install:
 	@which pip > /dev/null

=== debian/changelog ===
kineticstools (0.6.1+git20210811.276ca9c+dfsg-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 19:23:07 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: kineticstools
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
-           Étienne Mollier <etienne.mollier@mailoo.org>
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -18,7 +18,7 @@
                python3-pytest <!nocheck>,
                python3-pytest-runner <!nocheck>,
                python3-pytest-xdist <!nocheck>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/kineticstools
 Vcs-Git: https://salsa.debian.org/med-team/kineticstools.git
 Homepage: https://github.com/PacificBiosciences/kineticsTools

## kineticstools 0.6.1+git20220223.1326a4d+dfsg

=== debian/changelog ===
kineticstools (0.6.1+git20220223.1326a4d+dfsg-2build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 19:47:05 +0000

kineticstools (0.6.1+git20220223.1326a4d+dfsg-2build1) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 25 Dec 2022 20:03:21 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               python3-all,
+               python3,
                python3-setuptools,
                python3-docutils,
                python3-pbcore,

=== debian/rules ===
--- 
+++ 
@@ -5,11 +5,6 @@
 
 export LC_ALL=C.UTF-8
 export PYBUILD_NAME=kineticstools
-export PYBUILD_TEST_NOSE=0
-export NOSE_VERBOSE=2
-export NOSE_NOCAPTURE=1
-export NOSE_INCLUDE_EXE=1
-export NOSE_TESTS=$(shell ls $(CURDIR)/test/*.py | tr '[:space:]' ',')
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 INSTDIR = $(CURDIR)/debian/$(DEB_SOURCE)

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz,mode=git,pretty=0.6.1+git%cd.%h" \
    https://github.com/PacificBiosciences/kineticsTools.git HEAD

# Issue asking for release tags:
#  https://github.com/PacificBiosciences/kineticsTools/issues/49
